ResultRowDetailsFiller (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.windowdetail

## Class ResultRowDetailsFiller

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.windowdetail.ResultRowDetailsFiller

- All Implemented Interfaces:
    DetailsFiller

      public class ResultRowDetailsFiller
      extends Object
      implements DetailsFiller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultRowDetailsFiller(com.extjs.gxt.ui.client.widget.TabItem tabItemDetails, com.extjs.gxt.ui.client.widget.toolbar.ToolBar toolbarOccurrences, com.extjs.gxt.ui.client.widget.ContentPanel panelDetails, SearchEvent lastSearchEvent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getLastlistDataSourceFound()`
    `String` | `getLastScientificName()`
    `void` | `loadStructuresAndFillingPage()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultRowDetailsFiller

          public ResultRowDetailsFiller(com.extjs.gxt.ui.client.widget.TabItem tabItemDetails,
                                com.extjs.gxt.ui.client.widget.toolbar.ToolBar toolbarOccurrences,
                                com.extjs.gxt.ui.client.widget.ContentPanel panelDetails,
                                SearchEvent lastSearchEvent)

  - ### Method Detail

    - #### loadStructuresAndFillingPage

          public void loadStructuresAndFillingPage()

    - #### getLastlistDataSourceFound

          public List<String> getLastlistDataSourceFound()

      Specified by:
        `getLastlistDataSourceFound` in interface `DetailsFiller`
      Returns:

    - #### getLastScientificName

          public String getLastScientificName()

      Specified by:
        `getLastScientificName` in interface `DetailsFiller`
      Returns:

Copyright © 2013. All Rights Reserved.